Wallets, tokens & networks

Get Active Wallet Report

Builds an org-wide active wallet report (latest wallet request/status per role) via walletService.

GEThttps://api.toku.com/tga/get-active-wallet-report

Required scope: banking:read

curl --request GET \
  --url 'https://api.toku.com/tga/get-active-wallet-report' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "roleInOrgID": "string",
    "externalEmployeeID": "string",
    "person": {
      "fullName": "string",
      "email": "string"
    },
    "orgNetwork": {
      "name": "string"
    },
    "walletTypeCustom": {
      "name": "string"
    },
    "address": "string",
    "network": "string",
    "networkIcon": "string",
    "walletType": "string",
    "createdAt": "string",
    "status": "string",
    "walletVerificationRequest": {
      "link": "string",
      "approvedAt": "string",
      "approvedByPerson": "string",
      "approvedByRoleInOrgID": "string",
      "rejectedAt": "string",
      "rejectedByPerson": "string",
      "rejectedByRoleInOrgID": "string",
      "walletVerificationRequestID": "string",
      "roleInOrgID": "string",
      "walletID": "string",
      "addedByRoleInOrgID": "string",
      "addedByPerson": "string"
    },
    "userAddedToPlatformAt": "string",
    "lastInactiveWalletReminderBy": "string",
    "lastInactiveWalletReminderAt": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
roleInOrgIDstring | null
externalEmployeeIDstring | null
personobject | null
Show child attributes
fullNamestring | null
emailstring | null
orgNetworkobject | null
Show child attributes
namestring | null
walletTypeCustomobject | null
Show child attributes
namestring | null
addressstring | null
networkstring | null
networkIconstring | null
walletTypestring | null
createdAtstring | null
statusstring | null
walletVerificationRequestobject | null
Show child attributes
linkstring | null
approvedAtstring | null
approvedByPersonstring | null
approvedByRoleInOrgIDstring | null
rejectedAtstring | null
rejectedByPersonstring | null
rejectedByRoleInOrgIDstring | null
walletVerificationRequestIDstring | null
roleInOrgIDstring | null
walletIDstring | null
addedByRoleInOrgIDstring | null
addedByPersonstring | null
userAddedToPlatformAtstring | null
lastInactiveWalletReminderBystring | null
lastInactiveWalletReminderAtstring | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits